Subject: Re: [bug#53324] [PATCH] gnu: Add uftrace.

From: Maxime Devos <[email-masked]>
Date: Tue, 18 Jan 2022 07:58:04 +0000

Hi,

Olivier Dion schreef op ma 17-01-2022 om 16:55 [-0500]:
> It does support out-of-tree build juste like autotool.  The configure
> script however does `readlink -f $(dirname $0)` for its `srcdir`.
> 
> For example, even if I build at `/tmp/uftrace` where the configure
> script is at /home/old/documents/polymtl/bmi/uftrace, I will get
> --------------------------------------------------------------------------------
> `uftrace:/home/old/documents/polymtl/bmi/uftrace/cmds/record.c:1571:find_in_path`
> --------------------------------------------------------------------------------
> at runtime.

That seems to be `srcdir` working as expected, because
/home/old/documents/polymtl/bmi/uftrace is the directory
with the source code, so I'm not sure what ‘however’ is doing in

‘The configure script however does `readlink -f $(dirname $0)` for its
`srcdir`.’.

Greetings,
Maxime.